/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 */
/* $Id: HTMLAttributes.java,v 1.1 2007/02/16 01:00:06 bob_yennaco Exp $
 */

package com.sun.webui.html;

public class HTMLAttributes {
    // Attributes
    //
    public static final String ABBR = "abbr"; //NOI18N
    public static final String ACCEPT = "accept"; //NOI18N
    public static final String ACCEPT_CHARSET = "accept-charset"; //NOI18N
    public static final String ACCESSKEY = "accesskey"; //NOI18N
    public static final String ACTION = "action"; //NOI18N
    public static final String ALIGN = "align"; //NOI18N
    public static final String ALINK = "alink"; //NOI18N
    public static final String ALT = "alt"; //NOI18N
    public static final String ARCHIVE = "archive"; //NOI18N
    public static final String AXIS = "axis"; //NOI18N
    public static final String BACKGROUND = "background"; //NOI18N
    public static final String BGCOLOR = "bgcolor"; //NOI18N
    public static final String BORDER = "border"; //NOI18N
    public static final String CELLPADDING = "cellpadding"; //NOI18N
    public static final String CELLSPACING = "cellspacing"; //NOI18N
    public static final String CHAR = "char"; //NOI18N
    public static final String CHAROFF = "charoff"; //NOI18N
    public static final String CHARSET = "charset"; //NOI18N
    public static final String CHECKED = "checked"; //NOI18N
    public static final String CITE = "cite"; //NOI18N
    public static final String CLASS = "class"; //NOI18N
    public static final String CLASSID = "classid"; //NOI18N
    public static final String CLEAR = "clear"; //NOI18N
    public static final String CODE = "code"; //NOI18N
    public static final String CODEBASE = "codebase"; //NOI18N
    public static final String CODETYPE = "codetype"; //NOI18N
    public static final String COLOR = "color"; //NOI18N
    public static final String COLS = "cols"; //NOI18N
    public static final String COLSPAN = "colspan"; //NOI18N
    public static final String COMPACT = "compact"; //NOI18N
    public static final String CONTENT = "content"; //NOI18N
    public static final String COORDS = "coords"; //NOI18N
    public static final String DATA = "data"; //NOI18N
    public static final String DATETIME = "datetime"; //NOI18N
    public static final String DECLARE = "declare"; //NOI18N
    public static final String DEFER = "defer"; //NOI18N
    public static final String DIR = "dir"; //NOI18N
    public static final String DISABLED = "disabled"; //NOI18N
    public static final String ENCTYPE = "enctype"; //NOI18N
    public static final String FACE = "face"; //NOI18N
    public static final String FOR = "for"; //NOI18N
    public static final String FRAME = "frame"; //NOI18N
    public static final String FRAMEBORDER = "frameborder"; //NOI18N
    public static final String HEADERS = "headers"; //NOI18N
    public static final String HEIGHT = "height"; //NOI18N
    public static final String HREF = "href"; //NOI18N
    public static final String HREFLANG = "hreflang"; //NOI18N
    public static final String HSPACE = "hspace"; //NOI18N
    public static final String HTTP_EQUIV = "http-equiv"; //NOI18N
    public static final String ID = "id"; //NOI18N
    public static final String ISMAP = "ismap"; //NOI18N
    public static final String LABEL = "label"; //NOI18N
    public static final String LANG = "lang"; //NOI18N
    public static final String LANGUAGE = "language"; //NOI18N
    public static final String LINK = "link"; //NOI18N
    public static final String LONGDESC = "longdesc"; //NOI18N
    public static final String MARGINHEIGHT = "marginheight"; //NOI18N
    public static final String MARGINWIDTH = "marginwidth"; //NOI18N
    public static final String MAXLENGTH = "maxlength"; //NOI18N
    public static final String MEDIA = "media"; //NOI18N
    public static final String METHOD = "method"; //NOI18N
    public static final String MULTIPLE = "multiple"; //NOI18N
    public static final String NAME = "name"; //NOI18N
    public static final String NOHREF = "nohref"; //NOI18N
    public static final String NORESIZE = "noresize"; //NOI18N
    public static final String NOSHADE = "noshade"; //NOI18N
    public static final String NOWRAP = "nowrap"; //NOI18N
    public static final String OBJECT = "object"; //NOI18N
    public static final String ONBLUR = "onblur"; //NOI18N
    public static final String ONCHANGE = "onchange"; //NOI18N
    public static final String ONCLICK = "onclick"; //NOI18N
    public static final String ONDBLCLICK = "ondblclick"; //NOI18N
    public static final String ONFOCUS = "onfocus"; //NOI18N
    public static final String ONKEYDOWN = "onkeydown"; //NOI18N
    public static final String ONKEYPRESS = "onkeypress"; //NOI18N
    public static final String ONKEYUP = "onkeyup"; //NOI18N
    public static final String ONLOAD = "onload"; //NOI18N
    public static final String ONMOUSEDOWN = "onmousedown"; //NOI18N
    public static final String ONMOUSEMOVE = "onmousemove"; //NOI18N
    public static final String ONMOUSEOUT = "onmouseout"; //NOI18N
    public static final String ONMOUSEOVER = "onmouseover"; //NOI18N
    public static final String ONMOUSEUP = "onmouseup"; //NOI18N
    public static final String ONRESET = "onreset"; //NOI18N
    public static final String ONSELECT = "onselect"; //NOI18N
    public static final String ONSUBMIT = "onsubmit"; //NOI18N
    public static final String ONUNLOAD = "onunload"; //NOI18N
    public static final String PROFILE = "profile"; //NOI18N
    public static final String PROMPT = "prompt"; //NOI18N
    public static final String READONLY = "readonly"; //NOI18N
    public static final String REL = "rel"; //NOI18N
    public static final String REV = "rev"; //NOI18N
    public static final String ROWS = "rows"; //NOI18N
    public static final String ROWSPAN = "rowspan"; //NOI18N
    public static final String RULES = "rules"; //NOI18N
    public static final String SCHEME = "scheme"; //NOI18N
    public static final String SCOPE = "scope"; //NOI18N
    public static final String SCROLLING = "scrolling"; //NOI18N
    public static final String SELECTED = "selected"; //NOI18N
    public static final String SHAPE = "shape"; //NOI18N
    public static final String SIZE = "size"; //NOI18N
    public static final String SPAN = "span"; //NOI18N
    public static final String SRC = "src"; //NOI18N
    public static final String STANDBY = "standby"; //NOI18N
    public static final String START = "start"; //NOI18N
    public static final String STYLE = "style"; //NOI18N
    public static final String SUMMARY = "summary"; //NOI18N
    public static final String TABINDEX = "tabindex"; //NOI18N
    public static final String TARGET = "target"; //NOI18N
    public static final String TEXT = "text"; //NOI18N
    public static final String TITLE = "title"; //NOI18N
    public static final String TYPE = "type"; //NOI18N
    public static final String USEMAP = "usemap"; //NOI18N
    public static final String VALIGN = "valign"; //NOI18N
    public static final String VALUE = "value"; //NOI18N
    public static final String VALUETYPE = "valuetype"; //NOI18N
    public static final String VERSION = "version"; //NOI18N
    public static final String VLINK = "vlink"; //NOI18N
    public static final String VSPACE = "vspace"; //NOI18N
    public static final String WIDTH = "width"; //NOI18N
}
