/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 */

 /*
  * PasswordFieldRenderer.java
  */

package com.sun.webui.jsf.renderkit.html;

import com.sun.faces.annotation.Renderer;
import java.io.IOException;
import javax.faces.FacesException;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import com.sun.webui.jsf.component.PasswordField;
import com.sun.webui.jsf.util.MessageUtil;

/**
 * <p>Renderer for PasswordFieldRenderer {@link PasswordField} component.</p>
 */

@Renderer(@Renderer.Renders(componentFamily="com.sun.webui.jsf.PasswordField"))
public class PasswordFieldRenderer extends FieldRenderer {

    public void encodeEnd(FacesContext context, UIComponent component) throws IOException {
          
        if(!(component instanceof PasswordField)) { 
            Object[] params = { component.toString(), 
                                this.getClass().getName(), 
                                PasswordField.class.getName() };
            String message = MessageUtil.getMessage
                ("com.sun.webui.jsf.resources.LogMessages", //NOI18N
                 "Renderer.component", params);              //NOI18N
            throw new FacesException(message);  
        }

        super.renderField(context, (PasswordField)component, "password", getStyles(context));
    }
}
