/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://woodstock.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.webui.theme;

/**
 * The <code>ThemeService</code> class is an abstract class that defines methods
 * allowing a jar to offer <code>com.sun.webui.Theme</code> resources via
 * the <code>sun.misc.Service</code> interface.
 */
public abstract class ThemeService {

    /**
     * Constructor. Does nothing.
     */
    public ThemeService() {
    }

    /**
     * Return an array of <code>ResourceBundle</code> basenames that refer
     * to the <code>ResourceBundle</code>'s for all themes that are defined
     * in this provider.
     */
    public String[] getThemeBundles() {
	return null;
    }
}
